//
//  ConcentrationThemeChooserViewController.swift
//  Concentration
//
//  Created by Sameh Fakhouri on 11/4/19.
//  Copyright © 2019 Sameh. All rights reserved.
//

import UIKit

class ConcentrationThemeChooserViewController: VCLLoggingViewController, UISplitViewControllerDelegate {

    override func awakeFromNib() {
        super.awakeFromNib()
        splitViewController?.delegate = self
    }
    
    override var vclLoggingName: String {
        return "ThemeChooser"
    }
    
    func splitViewController(_ splitViewController: UISplitViewController,
                             collapseSecondary secondaryViewController: UIViewController,
                             onto primaryViewController: UIViewController) -> Bool {
        if let cvc = secondaryViewController as? ConcentrationViewController {
            if cvc.theme == nil {
                return true
            }
        }
        return false
    }
    
    
    let themes = [
        "Sports"   : "⚽️🏀🏈⚾️🎾🏐🏓🏸🏒🚴‍♀️🚣‍♀️🏏",
        "Animals"  : "🐶🐱🐭🦊🦁🐸🐔🦑🕷🐙🐖",
        "Faces"    : "😀😙😛🤣😇😎😡🤡👹🤠",
    ]

    private var lastSeguedToConcentrationViewController: ConcentrationViewController?
    
    
    private var splitViewDetailConcentrationViewController: ConcentrationViewController? {
        return splitViewController?.viewControllers.last as? ConcentrationViewController
    }
    
    @IBAction func changeTheme(_ sender: UIButton) {
//        if let cvc = splitViewDetailConcentrationViewController {
//            if let themeName = sender.currentTitle, let theme = themes[themeName] {
//               cvc.theme = theme
//            }
//        } else if let cvc = lastSeguedToConcentrationViewController {
//            if let themeName = sender.currentTitle, let theme = themes[themeName] {
//                cvc.theme = theme
//            }
//            navigationController?.pushViewController(cvc, animated: true)
//        } else {
            performSegue(withIdentifier: "Choose Theme", sender: sender)
//        }
    }
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if segue.identifier == "Choose Theme" {
            if let themeName = (sender as? UIButton)?.currentTitle, let theme = themes[themeName] {
                if let cvc = segue.destination as? ConcentrationViewController {
                    cvc.theme = theme
                    lastSeguedToConcentrationViewController = cvc
                }
            }
        }
    }

}
